import Youch from 'youch';
// @ts-expect-error
import toTerminal from 'youch-terminal';
import { tap } from '@supercharge/goodies';
export class HandleExceptions {
    /**
     * Bootstrap the application. This will listen for exceptions
     * crashing your Node.js process. The listeners will print
     * a message to the terminal before exiting the process.
     */
    async bootstrap() {
        process
            // eslint-disable-next-line @typescript-eslint/no-misused-promises
            .on('uncaughtException', async (error) => {
            await this.handle(error);
        })
            // eslint-disable-next-line @typescript-eslint/no-misused-promises
            .on('unhandledRejection', async (error) => {
            await this.handle(error);
        });
    }
    /**
     * Pretty-print the given `error` to the terminal.
     */
    async handle(error) {
        await tap(new Youch(error, {}).toJSON(), output => {
            console.log(toTerminal(output));
            process.exit(1);
        });
    }
}
