import { ShutdownSignalListener } from '../shutdown-signal-listener.js';
export class HandleShutdown {
    app;
    shutdownSignalListener;
    /**
     * Create a new instance.
     */
    constructor(app) {
        this.app = app;
        this.shutdownSignalListener = new ShutdownSignalListener(app);
    }
    /**
     * Register a listener for shutdown signals (`SIGINT` and `SIGTERM` by default).
     */
    async bootstrap() {
        this.shutdownSignalListener
            .onShutdown(async () => {
            await this.app.shutdown();
        })
            .listen();
    }
}
