import { Application, Bootstrapper } from '@supercharge/contracts';
export declare class LoadConfiguration implements Bootstrapper {
    /**
     * Bootstrap the given application.
     */
    bootstrap(app: Application): Promise<void>;
    /**
     * Load the configuration files from the disk.
     */
    loadConfigurations(app: Application): Promise<any>;
    /**
     * Load the application’s configuration files from the local hard disk.
     */
    loadConfigurationFilesFromDisk(app: Application): Promise<string[]>;
    /**
     * Load the configuration files from the disk.
     */
    resolve(configurationFiles: string[]): Promise<any>;
    /**
     * Determine whether the given file name is a JS or TS file.
     */
    isJavascriptOrTypescript(file: string): boolean;
}
