import { HttpError as BaseHttpError } from '@supercharge/errors';
import { HttpContext, RenderableError, ReportableError } from '@supercharge/contracts';
export declare class HttpError extends BaseHttpError implements RenderableError, ReportableError {
    /**
     * Create a new HTTP error instance.
     */
    constructor(message: string, cause?: any);
    /**
     * Returns a new HTTP error instance wrapping the given `error`.
     */
    static wrap(error: Error): HttpError;
    /**
     * Retrieves an available status code from the error instance.
     * Falls back to HTTP status 500 if no status code is found.
     */
    private static retrieveStatusFrom;
    /**
     * Report the given `error` on the related HTTP `ctx`. Return a `falsy`
     * value if you don’t want the Supercharge error handler to run the
     * registered reporters and logging for the given error instance.
     */
    report(_error: any, _ctx: HttpContext): Promise<any> | any;
    /**
     * Render the given `error` on the related HTTP `ctx`. Return a `falsy`
     * value if you don’t want the Supercharge error handler to render
     *  the error instance into an HTTP response, like view or JSON.
     */
    render(_error: any, _ctx: HttpContext): Promise<any> | any;
}
