import { ServiceProvider } from '@supercharge/support';
export declare class RouteServiceProvider extends ServiceProvider {
    /**
     * Stores the callback functions that load route files.
     */
    private readonly loadRoutesCallbacks;
    /**
     * Register application services to the container.
     */
    register(): void;
    /**
     * Run the registered route-loading callbacks.
     */
    protected runRouteLoadingCallbacks(): Promise<void>;
    /**
     * Load the routes file from the given `path`.
     */
    loadRoutesFrom(path: string): this;
    /**
     * Register a callback that will be used to load the application’s routes.
     */
    loadRoutesUsing(callback: () => Promise<unknown> | unknown): this;
}
